use gtk;


pub struct Gui {
    _cant_construct: (),
    pub window: gtk::Window,
    pub branch_select: gtk::ComboBoxText,
    pub patch_tree: gtk::TreeView,
    pub hash_entry: gtk::Entry,
}

impl Gui {
    pub fn new(builder: gtk::Builder) -> Self {
        return Gui {
            _cant_construct: (),
            window: builder.get_object("main").unwrap(),
            branch_select: builder.get_object("branch_select").unwrap(),
            patch_tree: builder.get_object("patch_tree").unwrap(),
            hash_entry: builder.get_object("hash_entry").unwrap(),
        }
    }
}
