use gtk;
use ui::gui::*;


pub struct AppS {
    _cant_construct: (),
    pub gui: Gui,
}


impl AppS {
    pub fn new() -> Self {
        let builder = gtk::Builder::new_from_string(include_str!(concat!(env!("CARGO_MANIFEST_DIR"), "/data/ui/window.glade")));

        return AppS {
            _cant_construct: (),
            gui: Gui::new(builder),
        }
    }
}
